Summary:	OAuth library functions
Summary(pl.UTF-8):	Biblioteka Funkcji OAuth
Name:		liboauth
Version:	0.9.7
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://liboauth.sourceforge.net/pool/%{name}-%{version}.tar.gz
# Source0-md5:	103ea90e3330dfcda7b6d59c4c697472
URL:		http://liboauth.sourceforge.net/
BuildRequires:	curl-devel
BuildRequires:	nss-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liboauth is a collection of POSIX-C functions implementing the OAuth
Core RFC 5849 standard. liboauth provides functions to escape and
encode parameters according to OAuth specification and offers
high-level functionality to sign requests or verify OAuth signatures
as well as perform HTTP requests.

%description
liboauth to zbiór funkcji POSIX-C implementujących standard OAuth Core
wg RFC 5849. liboauth udostępnia funkcje zabezpieczające i kodujące
parametry zgodnie ze specyfikacją OAuth. Oferuje także funkcje
wyższego poziomu do podpisywania żądań oraz kontroli podpisów OAuth, a
także wykonywania żądań HTTP

%package devel
Summary:	Development files for liboauth
Summary(pl.UTF-8):	Pliki programistyczne biblioteki liboauth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	nss-devel

%description devel
This package contains the header files for developing applications
that use liboauth.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących liboauth.

%package static
Summary:	Static liboauth library
Summary(pl.UTF-8):	Statyczna biblioteka liboauth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static liboauth library.

%description static -l pl.UTF-8
Statyczna biblioteka liboauth.

%prep
%setup -q

%build
%configure \
	--enable-nss
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liboauth.la

%clean
rm -rf $RPM_BUILD_ROOT


%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.MIT ChangeLog README
%attr(755,root,root) %{_libdir}/liboauth.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liboauth.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboauth.so
%{_includedir}/oauth.h
%{_pkgconfigdir}/oauth.pc
%{_mandir}/man3/oauth.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/liboauth.a
%changelog
* Sat Jul 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 01a52b1
- updated to 0.9.7

* Fri Dec 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 3116f7d
- updated to 0.9.6

* Thu Nov 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 69513cd
- pl
- added -static

* Tue Nov 22 2011 Łukasz Kieś <kiesiu@pld-linux.org> f2a759b
- updated to 0.9.5

* Sun Sep 25 2011 Łukasz Kieś <kiesiu@pld-linux.org> f9cd83f
- devel subpackage requires curl-devel; rel 2

* Fri Sep 02 2011 Elan Ruusamäe <glen@pld-linux.org> 214af45
- pldize

* Thu Sep 01 2011 Patryk Zawadzki <patrys@room-303.com> b935213
- initial PLD release

